Bug#930598: rustc: Please backport upstream patch to fix ABI breakage on sparc64

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#930598: rustc: Please backport upstream patch to fix ABI breakage on sparc64

John Paul Adrian Glaubitz
Source: rustc
Version: 1.34.2+dfsg1-1
Severity: normal
Tags: patch
User: [hidden email]
Usertags: sparc64

Hi!

Rust 1.34.0 introduced a regression which broke the compiler on
sparc64 [1]. There is now an upstream patch which has already
been acked by upstream and should therefore be backported to
all Debian versions of rustc >= 1.34.0.

Thanks,
Adrian

> [1] https://github.com/rust-lang/rust/issues/61306
> [2] https://github.com/rust-lang/rust/pull/61881

--
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - [hidden email]
`. `'   Freie Universitaet Berlin - [hidden email]
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913

0001-librustc_codegen_llvm-Use-repr-transparent-for-bitfl.patch (1K) Download Attachment